Subject: Re: bug#37124: Lisp snippet for TeX-electric-math in manual
From: Arash Esbati <[email-masked]>
To: Mosè Giordano <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Aug 2019 00:20:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mosè Giordano <[email-masked]> writes:

> On Tue, 20 Aug 2019 at 22:57, Arash Esbati <[email-masked]> wrote:
>>
>> Hi all,
>>
>> there is a lisp snippet in the manual for `TeX-electric-math'[1]:
>>
>>     (add-hook 'plain-TeX-mode-hook
>>               (lambda () (set (make-variable-buffer-local 'TeX-electric-math)
>>                               (cons "$" "$"))))
>>     (add-hook 'LaTeX-mode-hook
>>               (lambda () (set (make-variable-buffer-local 'TeX-electric-math)
>>                               (cons "\\(" "\\)"))))
>>
>> `make-variable-buffer-local' seems wrong to me, I think
>> `make-local-variable' is the intended function.
>
> I think you're correct.

Hi Mosè,

thanks for your response.  I've pushed the change.  Closing this one.

Best, Arash